<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbSmtneworder" table="DB_SMTNEWORDER">
        <id name="orderid" type="java.lang.String">
            <column name="ORDERID" length="50" />
            <generator class="assigned" />
        </id>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="50" />
        </property>
        <property name="tradeid" type="java.lang.String">
            <column name="TRADEID" length="50" />
        </property>
        <property name="groupid" type="java.lang.String">
            <column name="GROUPID" length="50" />
        </property>
        <property name="buyerid" type="java.lang.String">
            <column name="BUYERID" length="100" />
        </property>
        <property name="customerid" type="java.lang.String">
            <column name="CUSTOMERID" length="100" />
        </property>
        <property name="customername" type="java.lang.String">
            <column name="CUSTOMERNAME" length="300" />
        </property>
        <property name="customertel1" type="java.lang.String">
            <column name="CUSTOMERTEL1" length="100" />
        </property>
        <property name="customertel2" type="java.lang.String">
            <column name="CUSTOMERTEL2" length="100" />
        </property>
        <property name="customeremail" type="java.lang.String">
            <column name="CUSTOMEREMAIL" length="100" />
        </property>
        <property name="customercountry" type="java.lang.String">
            <column name="CUSTOMERCOUNTRY" length="200" />
        </property>
        <property name="customercountrycn" type="java.lang.String">
            <column name="CUSTOMERCOUNTRYCN" length="100" />
        </property>
        <property name="customercountryjc" type="java.lang.String">
            <column name="CUSTOMERCOUNTRYJC" length="50" />
        </property>
        <property name="customerprovince" type="java.lang.String">
            <column name="CUSTOMERPROVINCE" length="200" />
        </property>
        <property name="customercity" type="java.lang.String">
            <column name="CUSTOMERCITY" length="200" />
        </property>
        <property name="customeraddress" type="java.lang.String">
            <column name="CUSTOMERADDRESS" length="500" />
        </property>
        <property name="customerzipcode" type="java.lang.String">
            <column name="CUSTOMERZIPCODE" length="100" />
        </property>
        <property name="customerreserve1" type="java.lang.String">
            <column name="CUSTOMERRESERVE1" length="100" />
        </property>
        <property name="customerreserve2" type="java.lang.String">
            <column name="CUSTOMERRESERVE2" length="100" />
        </property>
        <property name="customerreserve3" type="java.lang.String">
            <column name="CUSTOMERRESERVE3" length="100" />
        </property>
        <property name="customerreserve4" type="java.lang.Integer">
            <column name="CUSTOMERRESERVE4" precision="8" scale="0" />
        </property>
        <property name="customerreserve5" type="java.lang.Double">
            <column name="CUSTOMERRESERVE5" precision="8" />
        </property>
        <property name="shoptypeid" type="java.lang.String">
            <column name="SHOPTYPEID" length="50" />
        </property>
        <property name="shoptype" type="java.lang.String">
            <column name="SHOPTYPE" length="100" />
        </property>
        <property name="moneytype" type="java.lang.String">
            <column name="MONEYTYPE" length="50" />
        </property>
        <property name="moneyrate" type="java.lang.Double">
            <column name="MONEYRATE" precision="10" scale="4" />
        </property>
        <property name="originordermoney" type="java.lang.Double">
            <column name="ORIGINORDERMONEY" precision="10" scale="4" />
        </property>
        <property name="ordermoney" type="java.lang.Double">
            <column name="ORDERMONEY" precision="10" scale="4" />
        </property>
        <property name="costmoney" type="java.lang.Double">
            <column name="COSTMONEY" precision="10" scale="4" />
        </property>
        <property name="originexpressmoney" type="java.lang.Double">
            <column name="ORIGINEXPRESSMONEY" precision="10" scale="4" />
        </property>
        <property name="expressmoney" type="java.lang.Double">
            <column name="EXPRESSMONEY" precision="10" scale="4" />
        </property>
        <property name="status" type="java.lang.String">
            <column name="STATUS" length="50" />
        </property>
        <property name="postageservice" type="java.lang.String">
            <column name="POSTAGESERVICE" length="100" />
        </property>
        <property name="ordertime" type="java.util.Date">
            <column name="ORDERTIME" length="7" />
        </property>
        <property name="createtime" type="java.util.Date">
            <column name="CREATETIME" length="7" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="50" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="selloper" type="java.lang.String">
            <column name="SELLOPER" length="200" />
        </property>
        <property name="sku" type="java.lang.String">
            <column name="SKU" length="1000" />
        </property>
        <property name="product" type="java.lang.String">
            <column name="PRODUCT" length="4000" />
        </property>
        <property name="content" type="java.lang.String">
            <column name="CONTENT" length="2000" />
        </property>
        <property name="noteinfo" type="java.lang.String">
            <column name="NOTEINFO" length="2000" />
        </property>
        <property name="openflag" type="java.lang.String">
            <column name="OPENFLAG" length="50" />
        </property>
        <property name="messagecount" type="java.lang.Integer">
            <column name="MESSAGECOUNT" precision="6" scale="0" />
        </property>
        <property name="messagecontent" type="java.lang.String">
            <column name="MESSAGECONTENT" length="2000" />
        </property>
        <property name="updateflag" type="java.lang.Integer">
            <column name="UPDATEFLAG" precision="6" scale="0" />
        </property>
        <property name="updatedescr" type="java.lang.String">
            <column name="UPDATEDESCR" length="1000" />
        </property>
        <property name="updatetime" type="java.util.Date">
            <column name="UPDATETIME" length="7" />
        </property>
        <property name="flag" type="java.lang.String">
            <column name="FLAG" length="50" />
        </property>
        <property name="flagdescr" type="java.lang.String">
            <column name="FLAGDESCR" length="200" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="200" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="200" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="200" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="200" />
        </property>
    </class>
</hibernate-mapping>
